body {
    margin: 0;
    background: url('../../uploads/background.jfif') no-repeat center center fixed;
    background-size: cover;
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

header {
    font-family: 'Inter', sans-serif;
    background-color: #1F262D;
    padding: 0 25px;
    display: flex;
    align-items: center;
    height: 75px;
    color: white;
    justify-content: space-between;
    position: relative;
    z-index: 1002;
}

.header-options{
    display: flex;
    align-items: center;

    .go-to-admin{
        margin-left: 20px;
        a {
            color: #24f211;
        }
    }
}

header .logo {
    font-size: 40px;
    font-weight: bold;
    color: #4796FF;
}

header nav {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

header nav .nav-links {
    display: flex;
    gap: 50px;
    justify-content: center;
}

header nav a {
    color: white;
    font-size: 25px;
    font-weight: bold;
}

.user-icon-container {
    display: flex;
    align-items: center;
}

#user-icon {
    font-size: 36px;
    color: #ffffff;
}

.user-icon-container img {
    width: 36px;
    height: 36px;
    border-radius: 50%;
    object-fit: cover;
}

.hamburger-menu {
    display: none;
    font-size: 30px;
    cursor: pointer;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: calc(100vh - 75px);
}

#div-form {
    background: rgba(255, 255, 255, 0.85);
    padding: 60px 45px;
    border-radius: 25px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
    width: 528px;
}

#div-form a {
    color: #4796FF;
}

#div-form h1 {
    font-family: "Montserrat", sans-serif;
    color: #2C2C2C;
    margin-top: 0px;
    margin-bottom: 20px;
    font-size: 41px;
}

#div-form p {
    font-family: "Varela Round", sans-serif;
    color: #2C2C2C;
    margin-bottom: 40px;
    font-size: 20px;
}

form input[type="text"],
form input[type="email"],
form input[type="password"],
textarea {
    font-family: 'Inter', sans-serif;
    width: calc(100% - 54px);
    padding: 20px 25px;
    margin-bottom: 20px;
    border: none;
    border-radius: 20px;
    background-color: #F8F8F8;
    font-size: 21px;
    color: #9C9C9C;
    font-style: italic;
    transition: all 0.3s ease;
    box-shadow: inset 0 0 0 0 rgba(238, 238, 238, 0.75);
}

form input[type="text"]:focus,
form input[type="email"]:focus,
form input[type="password"]:focus,
textarea:focus {
    outline: none;
    background-color: #FFFFFF;
    color: black;
    font-style: normal;
    box-shadow: inset 0 0 0 2px rgba(238, 238, 238, 0.75);
}

form input[type="text"]:not(:placeholder-shown),
form input[type="email"]:not(:placeholder-shown),
form input[type="password"]:not(:placeholder-shown),
textarea:not(:placeholder-shown) {
    color: black;
    font-style: normal;
}
/* TODO remove from here when incude general head is fixed  */
.str-app-button {
    font-family: "Varela Round", sans-serif;
    width: 100%;
    max-height: 66px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    padding: 20px;
    background-color: #4796FF;
    border: none;
    border-radius: 20px;
    color: white;
    font-size: 24px;
    cursor: pointer;
    margin-bottom: 35px;
    transition: 300ms cubic-bezier(0.4, 0, 0.2, 1);
}

.str-app-button:hover {
    background-color: #4B89DC;
}

.str-app-button:disabled{
    background-color: rgba(71,150,255,0.7);
    color: rgba(255,255,255,0.7);
    cursor: default;
}
/* TODO remove from here when incude general head is fixed  */
#submit_icon {
    font-size: 32px;
    margin-left: auto;
    position: absolute;
    right: 25px;
}

.custom-checkbox input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    width: 24px;
    height: 24px;
    background-color: #FFFFFF;
    border: 1px solid #E7E7E7;
    border-radius: 7px;
    margin-right: 10px;
    display: inline-block;
    position: relative;
    cursor: pointer;
}

.custom-checkbox input[type="checkbox"]:checked::before {
    content: '\f00c';
    font-family: 'Font Awesome 5 Free';
    font-weight: bolder;
    font-size: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #4796FF;
}

.extras {
    font-family: "Varela Round", sans-serif;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 18px;
    color: #7B7B7B;
}

.extras label {
    display: flex;
    align-items: center;
}

.custom-checkbox a {
    margin-left: 0.25em;
}

.dropdown-menu {
    display: flex;
    flex-direction: column;
    background-color: #1F262D;
    position: absolute;
    top: 75px;
    width: 100%;
    left: 0;
    padding: 0;
    text-align: center;
    z-index: 1002;
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.5s ease-out, padding 0.3s ease-out;
}

.dropdown-menu.open {
    max-height: 300px;
    padding: 10px 0;
}

.dropdown-menu a {
    color: white;
    padding: 10px;
    display: block;
    text-decoration: none;
}

.dropdown-menu a:hover {
    background-color: #4796FF;
    text-decoration: underline;
}

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(5px);
    z-index: 999;
}

/* Media Queries 1440px */
@media (max-width: 1440px) {
    header {
        height: 50px;
    }

    header .logo {
        font-size: 30px;
    }

    header nav .nav-links {
        gap: 50px;
    }

    header nav a {
        font-size: 20px;
    }

    .container {
        height: calc(100vh - 50px);
    }

    #user-icon {
        font-size: 24px;
    }

    .user-icon-container img {
        width: 24px;
        height: 24px;
    }

    #div-form {
        padding: 45px 30px;
        width: 396px;
    }


    #div-form h1 {
        margin-bottom: 15px;
        font-size: 31px;
    }

    #div-form p {
        margin-bottom: 30px;
        font-size: 16px;
    }

    form input[type="text"],
    form input[type="email"],
    form input[type="password"],
    textarea {
        width: calc(100% - 40px);
        padding: 15px 20px;
        margin-bottom: 15px;
        border-radius: 20px;
        font-size: 16px;
    }

    .divider {
        margin-bottom: 15px;
    }

    .str-app-button {
        max-height: 50px;
        padding: 15px;
        font-size: 18px;
        margin-bottom: 25px;
    }

    #submit_icon {
        font-size: 25px;
        right: 20px;
    }

    .custom-checkbox input[type="checkbox"] {
        width: 19px;
        height: 19px;
    }

    .custom-checkbox input[type="checkbox"]:checked::before {
        font-size: 15px;
    }

    .extras {
        font-size: 14px;
    }
}

/* Media Queries 1024px */
@media (max-width: 1024px) {
    header nav .nav-links {
        gap: 35px;
    }

    header nav a {
        font-size: 18px;
    }
}

/* Media Queries 900px */
@media (max-width: 900px) {

    header nav {
        display: none;
    }

    .user-icon-container {
        order: 1;
    }

    .hamburger-menu {
        display: block;
        order: 2;
    }

    .icon-container {
        display: flex;
        gap: 15px;
    }

    .dropdown-menu {
        top: 50px;
    }
}

.edit-questions{
        background-color: rgba(255, 255, 255, 0.85);
        display: flex;
        flex-direction: column;
        min-height: 100vh;
        padding: 15px;
    
    .search-container{
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .mui-dropdown__menu.mui--is-open{
        width: 100%;
        li{
            border-bottom: 1px solid rgba(0, 0, 0, .12);;
        }
        li:last-child{
            border: none;
        }
        a{
            white-space: normal;
        }
    }
}

